Subject: Re: Kernel oops with 2.6.26, padlock and ipsec: probably problem with fpu state changes

From: "H. Peter Anvin" <[email-masked]>
Date: Fri, 08 Aug 2008 18:59:08 -0700

Herbert Xu wrote:
> On Fri, Aug 08, 2008 at 12:01:15PM -0700, H. Peter Anvin wrote:
>> It's technically overkill, if (and only if!) these instructions don't 
>> actually touch the SSE state (most likely they're using the SSE 
>> pipeline, and need this stuff to deal with power management issues.)
> 
> Yes the PadLock uses the SSE pipeline, but doesn't touch any
> of the state.

And yet it requires all the settings that goes along with holding the 
SSE state.  Really crap design, unfortunately.

>> However, overkill is a good way to make sure something is dead. 
>> Applying the patch will make sure we fix the regression, and we can 
>> worry about optimizing this further post-2.6.27.
> 
> Do we really need the FPU changes right now? I'd prefer for that
> to be backed out until a proper solution is found.  Disabling
> preemption around crypto is really bad for scheduling latency.

I hate to say it, but given the relative marketshare, we should disable 
Padlock instead.

This is part of the pain of being a minority architecture.

	-hpa